<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2007 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 3 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/config.php";
;
include_once "include/common.php";
include_once "include/site.php";

$database = site_prolog(PO_USER_TYPE_CLIENT);

$photo_id         = pg_escape_string($_REQUEST['photo']);
$version          = pg_escape_string($_REQUEST['version']);
$comment          = pg_escape_string($_REQUEST['comment']);
$new_rating       = pg_escape_string($_REQUEST['new_rating']);

$photo_data = pg_fetch_row(pg_query($database, "
  select users, access_rights,
         can_access_photo(photo.identifier, $po_user[id], '{".$passwords."}') as ok

    from photo, photo_version
   where photo.identifier = photo_version.photo
     and photo_version.master = 't'
     and photo.identifier = '$photo_id'"));


if ($photo_data[2] != 't') {
  if ($photo_data[1] == $access['private']) {
    header("HTTP/1.1 403 Forbidden");
    site_header($strings['generic']['display_folder']);
    site_navigator(1);
    site_navigator_status(user_disp_string(0, $po_user['id'], "", ""). " : ". $strings['errors']['private'], "");
    site_footer($database);
    site_epilog($database);
  } else {
    site_push_error($strings['errors']['protected']);
    header("Location: login.php?reason=protected&orig=".urlencode("photo.php?photo=$photo_id&ver=$version"));
  }
 }

$result = pg_query($database, "insert into rating (identifier, photo, users, date_of_creation, value, comment, version)
                               values (nextval('rating_id_sequence'), '$photo_id', '$po_user[id]', now(), $new_rating, '$comment', $version)");
if (!$result) {
  site_push_error($strings['errors']['db_insert_failed']);
}

site_epilog($database);
header("Location: photo.php?photo=$photo_id&ver=$version&detail_info=6");
?>
