
--  Copyright (C) 2002, 2003, 2004, 2005, 2006 Balint Kis (balint@k-i-s.net)

--  This program is free software; you can redistribute it and/or modify
--  it under the terms of the GNU General Public License as published by
--  the Free Software Foundation; either version 3 of the License, or
--  (at your option) any later version.

--  This program is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY; without even the implied warranty of
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--  GNU General Public License for more details.

--  You should have received a copy of the GNU General Public License
--  along with this program; if not, write to the Free Software
--  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

----------------------------------------------------------
-- v2.7 to v2.8 patch
----------------------------------------------------------

-- version upldate
update version set identifier=3, description='2.8 customer release', major=2, minor=8, variation='C';


update system_preferences set new_user_shop_enable='f';

update preferences set shop_enable ='f';
update preferences set popup_enable='f';
update preferences set popup_delay =500;
update preferences set shop_enable ='t' where identifier = (select preferences from users where type=4);
update preferences set popup_enable='t' where identifier = (select preferences from users where type=4);

insert into currency values (nextval('currency_id_sequence'), 784, 'AED', 'UAE Dirham', 'United Arab Emirats');
insert into currency values (nextval('currency_id_sequence'), 004, 'AFA', 'Afghani', 'Afghanistan');
insert into currency values (nextval('currency_id_sequence'), 008, 'ALL', 'Lek', 'Albania');
insert into currency values (nextval('currency_id_sequence'), 532, 'ANG', 'Antillian Guilder', 'Netherlands Antilles');
insert into currency values (nextval('currency_id_sequence'), 024, 'AOK', 'Kwanza', 'Angola');
insert into currency values (nextval('currency_id_sequence'), 032, 'ARP', 'Argentine Peso', 'Argentina');
insert into currency values (nextval('currency_id_sequence'), 036, 'AUD', 'Australian Dollar', 'Australia, Christmas Island, Cocos (Keeling) Islands, Heard and McDonald Islands, Kiribati, Nauru, Norfolk Island, Tuvalu');
insert into currency values (nextval('currency_id_sequence'), 052, 'BBD', 'Barbados Dollar', 'Barbados');
insert into currency values (nextval('currency_id_sequence'), 050, 'BDT', 'Taka', 'Bangladesh');
insert into currency values (nextval('currency_id_sequence'), 100, 'BGL', 'Lev', 'Bulgaria');
insert into currency values (nextval('currency_id_sequence'), 048, 'BHD', 'Bahraini Dinar', 'Bahrain');
insert into currency values (nextval('currency_id_sequence'), 108, 'BIF', 'Burundi Franc', 'Burundi');
insert into currency values (nextval('currency_id_sequence'), 060, 'BMD', 'Bermudan Dollar', 'Burmuda');
insert into currency values (nextval('currency_id_sequence'), 096, 'BND', 'Brunei Dollar', 'Brunei');
insert into currency values (nextval('currency_id_sequence'), 068, 'BOP', 'Bolivian Peso', 'Bolivia');
insert into currency values (nextval('currency_id_sequence'), 076, 'BRC', 'Cruzeiro', 'Brazil');
insert into currency values (nextval('currency_id_sequence'), 044, 'BSD', 'Bahamian Dollar', 'Bahamas');
insert into currency values (nextval('currency_id_sequence'), 104, 'BUK', 'Kyat', 'Burma');
insert into currency values (nextval('currency_id_sequence'), 072, 'BWP', 'Pula', 'Botswana');
insert into currency values (nextval('currency_id_sequence'), 084, 'BZD', 'Belize Dollar', 'Belize');
insert into currency values (nextval('currency_id_sequence'), 124, 'CAD', 'Canadian Dollar', 'Canada');
insert into currency values (nextval('currency_id_sequence'), 756, 'CHF', 'Swiss Franc', 'Liechtenstein, Switzerland');
insert into currency values (nextval('currency_id_sequence'), 152, 'CLP', 'Chilean Peso', 'Chile');
insert into currency values (nextval('currency_id_sequence'), 156, 'CNY', 'Yuan Renminbi', 'China');
insert into currency values (nextval('currency_id_sequence'), 170, 'COP', 'Colombian Peso', 'Colombia');
insert into currency values (nextval('currency_id_sequence'), 188, 'CRC', 'Costa Rican Colon', 'Costa Rica');
insert into currency values (nextval('currency_id_sequence'), 200, 'CSK', 'Koruna', 'Czechoslovakia');
insert into currency values (nextval('currency_id_sequence'), 192, 'CUP', 'Cuban Peso', 'Cuba');
insert into currency values (nextval('currency_id_sequence'), 132, 'CVE', 'Cape Verde Escudo', 'Cape Verde');
insert into currency values (nextval('currency_id_sequence'), 196, 'CYP', 'Cyprus Pound', 'Cyprus');
insert into currency values (nextval('currency_id_sequence'), 262, 'DJF', 'Djibouti Franc', 'Djibouti');
insert into currency values (nextval('currency_id_sequence'), 208, 'DKK', 'Danish Krone', 'Denmark, Faeroe Islands, Greenland');
insert into currency values (nextval('currency_id_sequence'), 214, 'DOP', 'Dominican Peso', 'Dominican Republic');
insert into currency values (nextval('currency_id_sequence'), 012, 'DZD', 'Algerian Dinar', 'Algeria');
insert into currency values (nextval('currency_id_sequence'), 218, 'ECS', 'Sucre', 'Ecuador');
insert into currency values (nextval('currency_id_sequence'), 818, 'EGP', 'Egyptian Pound', 'Egypt');
insert into currency values (nextval('currency_id_sequence'), 230, 'ETB', 'Ethiopian Birr', 'Ethiopia');
insert into currency values (nextval('currency_id_sequence'), 954, 'EUR', 'European Currency Unit', 'Euro Monetary Cooperation Found (EMCF)');
insert into currency values (nextval('currency_id_sequence'), 242, 'FJD', 'Fiji Dollar', 'Fiji');
insert into currency values (nextval('currency_id_sequence'), 238, 'FKP', 'Falkland Islands Pound', 'Falkland Islands (Malvinas)');
insert into currency values (nextval('currency_id_sequence'), 826, 'GBP', 'Pound Sterling', 'Canton and Enderbury Islands, United Kingdom');
insert into currency values (nextval('currency_id_sequence'), 288, 'GHC', 'Cedi', 'Ghana');
insert into currency values (nextval('currency_id_sequence'), 292, 'GIP', 'Gibraltar Pound', 'Gibraltar');
insert into currency values (nextval('currency_id_sequence'), 270, 'GMD', 'Dalasi', 'Gambia');
insert into currency values (nextval('currency_id_sequence'), 324, 'GNS', 'Syli', 'Guinea');
insert into currency values (nextval('currency_id_sequence'), 226, 'GQE', 'Ekwele', 'Equatorial Guinea');
insert into currency values (nextval('currency_id_sequence'), 320, 'GTQ', 'Quetzal', 'Guatemala');
insert into currency values (nextval('currency_id_sequence'), 624, 'GWP', 'Guinea-Bissau Peso', 'Guinea-Bissau');
insert into currency values (nextval('currency_id_sequence'), 328, 'GYD', 'Guyana Dollar', 'Guyana');
insert into currency values (nextval('currency_id_sequence'), 344, 'HKD', 'Hong Kong Dollar', 'Hong Kong');
insert into currency values (nextval('currency_id_sequence'), 340, 'HNL', 'Lempira', 'Honduras');
insert into currency values (nextval('currency_id_sequence'), 332, 'HTG', 'Gourde', 'Haiti');
insert into currency values (nextval('currency_id_sequence'), 348, 'HUF', 'Forint', 'Hungary');
insert into currency values (nextval('currency_id_sequence'), 360, 'IDR', 'Rupiah', 'Indonesia');
insert into currency values (nextval('currency_id_sequence'), 376, 'ILS', 'Shekel', 'Israel');
insert into currency values (nextval('currency_id_sequence'), 356, 'INR', 'Indian Rupee', 'Bhutan, India');
insert into currency values (nextval('currency_id_sequence'), 368, 'IQD', 'Iraqi Dinar', 'Iraq, Neutral Zone (betw. Saudi A. &amp; Iraq)');
insert into currency values (nextval('currency_id_sequence'), 364, 'IRR', 'Iranian Rial', 'Iran');
insert into currency values (nextval('currency_id_sequence'), 352, 'ISK', 'Iceland Krona', 'Iceland');
insert into currency values (nextval('currency_id_sequence'), 388, 'JMD', 'Jamaican Dollar', 'Jamaica');
insert into currency values (nextval('currency_id_sequence'), 400, 'JOD', 'Jordanian dinar', 'Jordan');
insert into currency values (nextval('currency_id_sequence'), 392, 'JPY', 'Yen', 'Japan');
insert into currency values (nextval('currency_id_sequence'), 404, 'KES', 'Kenyan Shilling', 'Kenya');
insert into currency values (nextval('currency_id_sequence'), 116, 'KHR', 'Riel', 'Kampuchea, Democratic');
insert into currency values (nextval('currency_id_sequence'), 174, 'KMF', 'Comoros Franc', 'Comoros');
insert into currency values (nextval('currency_id_sequence'), 408, 'KPW', 'North Korean Won', 'Korea, Democratic People\'s of');
insert into currency values (nextval('currency_id_sequence'), 410, 'KRW', 'Won', 'Korea, Republic of');
insert into currency values (nextval('currency_id_sequence'), 414, 'KWD', 'Kuwaiti Dinar', 'Kuwait, Neutral Zone (betw. Saudi A. &amp; Iraq)');
insert into currency values (nextval('currency_id_sequence'), 136, 'KYD', 'Cayman Islands Dollar', 'Cayman Islands');
insert into currency values (nextval('currency_id_sequence'), 418, 'LAK', 'Kip', 'Lao People\'s Democratic Republic');
insert into currency values (nextval('currency_id_sequence'), 422, 'LBP', 'Lebanese Pound', 'Lebanon');
insert into currency values (nextval('currency_id_sequence'), 144, 'LKR', 'Sri Lanka Rupee', 'Sri Lanka');
insert into currency values (nextval('currency_id_sequence'), 430, 'LRD', 'Liberian Dollar', 'Liberia');
insert into currency values (nextval('currency_id_sequence'), 426, 'LSM', 'Maloti', 'Lesotho');
insert into currency values (nextval('currency_id_sequence'), 434, 'LYD', 'Libyan Dinar', 'Libyan Arab Jamahiriya');
insert into currency values (nextval('currency_id_sequence'), 504, 'MAD', 'Moroccan Dirham', 'Morocco, Western Sahara');
insert into currency values (nextval('currency_id_sequence'), 450, 'MGF', 'Malagasy Franc', 'Madagascar');
insert into currency values (nextval('currency_id_sequence'), 466, 'MLF', 'Mali Franc', 'Mali');
insert into currency values (nextval('currency_id_sequence'), 496, 'MNT', 'Tugrik', 'Mongolia');
insert into currency values (nextval('currency_id_sequence'), 446, 'MOP', 'Pataca', 'Macau');
insert into currency values (nextval('currency_id_sequence'), 478, 'MRO', 'Ouguiya', 'Mauritania, Western Sahara');
insert into currency values (nextval('currency_id_sequence'), 470, 'MTP', 'Maltese Pound', 'Malta');
insert into currency values (nextval('currency_id_sequence'), 480, 'MUR', 'Mauritius Rupee', 'British Indian Ocean Territory, Mauritius');
insert into currency values (nextval('currency_id_sequence'), 462, 'MVR', 'Maldive Rupee', 'Maldives');
insert into currency values (nextval('currency_id_sequence'), 454, 'MWK', 'Kwacha', 'Malawi');
insert into currency values (nextval('currency_id_sequence'), 484, 'MXP', 'Mexican Peso', 'Mexico');
insert into currency values (nextval('currency_id_sequence'), 458, 'MYR', 'Malaysian Ringgit', 'Malaysia');
insert into currency values (nextval('currency_id_sequence'), 508, 'MZM', 'Metical', 'Mozambique');
insert into currency values (nextval('currency_id_sequence'), 566, 'NGN', 'Naira', 'Nigeria');
insert into currency values (nextval('currency_id_sequence'), 558, 'NIC', 'Cordoba', 'Nicaragua');
insert into currency values (nextval('currency_id_sequence'), 578, 'NOK', 'Norwegian Krone', 'Antarctica, Bouvet Island, Dronning Maud Land, Norway, Svalbard and Jan Mayen Islands');
insert into currency values (nextval('currency_id_sequence'), 524, 'NPR', 'Nepalese Rupee', 'Nepal');
insert into currency values (nextval('currency_id_sequence'), 554, 'NZD', 'New Zealand Dollar', 'Cook Islands, Niue, New Zealand, Pitcairn Island, Tokelau');
insert into currency values (nextval('currency_id_sequence'), 512, 'OMR', 'Rial Omani', 'Oman');
insert into currency values (nextval('currency_id_sequence'), 590, 'PAB', 'Balboa', 'Panama');
insert into currency values (nextval('currency_id_sequence'), 604, 'PES', 'Sol', 'Peru');
insert into currency values (nextval('currency_id_sequence'), 598, 'PGK', 'Kina', 'Papau New Guinea');
insert into currency values (nextval('currency_id_sequence'), 608, 'PHP', 'Philippine Peso', 'Philippines');
insert into currency values (nextval('currency_id_sequence'), 586, 'PKR', 'Pakistan Rupee', 'Pakistan');
insert into currency values (nextval('currency_id_sequence'), 616, 'PLZ', 'Zloty', 'Poland');
insert into currency values (nextval('currency_id_sequence'), 600, 'PYG', 'Guarani', 'Paraguay');
insert into currency values (nextval('currency_id_sequence'), 634, 'QAR', 'Qatari Rial', 'Qatar');
insert into currency values (nextval('currency_id_sequence'), 642, 'ROL', 'Leu', 'Romania');
insert into currency values (nextval('currency_id_sequence'), 646, 'RWF', 'Rwanda Franc', 'Rwanda');
insert into currency values (nextval('currency_id_sequence'), 682, 'SAR', 'Saudi Riyal', 'Neutral Zone (betw. Saudi A. &amp; Iraq), Saudi Arabia');
insert into currency values (nextval('currency_id_sequence'), 090, 'SBD', 'Solomon Islands Dollar', 'Solomon Islands');
insert into currency values (nextval('currency_id_sequence'), 690, 'SCR', 'Seychelles Rupee', 'British Indian Ocean Territory, Seychelles');
insert into currency values (nextval('currency_id_sequence'), 736, 'SDP', 'Sudanese Pound', 'Sudan');
insert into currency values (nextval('currency_id_sequence'), 752, 'SEK', 'Swedish Krona', 'Sweden');
insert into currency values (nextval('currency_id_sequence'), 702, 'SGD', 'Singapore Dollar', 'Singapore');
insert into currency values (nextval('currency_id_sequence'), 654, 'SHP', 'St. Helena Pound', 'St. Helena');
insert into currency values (nextval('currency_id_sequence'), 694, 'SLL', 'Leone', 'Sierra Leone');
insert into currency values (nextval('currency_id_sequence'), 706, 'SOS', 'Somali Shilling', 'Somalia');
insert into currency values (nextval('currency_id_sequence'), 740, 'SRG', 'Suriname Guilder', 'Suriname');
insert into currency values (nextval('currency_id_sequence'), 678, 'STD', 'Dobra', 'Sao Tome and Principe');
insert into currency values (nextval('currency_id_sequence'), 810, 'SUR', 'Rouble', 'Byelorussion SSR, Ukrainian SSR, Union of Soviet Socialist Republics');
insert into currency values (nextval('currency_id_sequence'), 222, 'SVC', 'El Salvador Colon', 'El Salvador');
insert into currency values (nextval('currency_id_sequence'), 760, 'SYP', 'Syrian Pound', 'Syrian Arab Republic');
insert into currency values (nextval('currency_id_sequence'), 748, 'SZL', 'Lilangeni', 'Swaziland');
insert into currency values (nextval('currency_id_sequence'), 764, 'THB', 'Baht', 'Thailand');
insert into currency values (nextval('currency_id_sequence'), 788, 'TND', 'Tunisian Dinar', 'Tunisia');
insert into currency values (nextval('currency_id_sequence'), 776, 'TOP', 'Paanga', 'Tonga');
insert into currency values (nextval('currency_id_sequence'), 626, 'TPE', 'Timor Escudo', 'East Timor');
insert into currency values (nextval('currency_id_sequence'), 792, 'TRL', 'Turkish Lira', 'Turkey');
insert into currency values (nextval('currency_id_sequence'), 780, 'TTD', 'Trinidad&amp;Tobago Dollar', 'Trinidad and Tobago');
insert into currency values (nextval('currency_id_sequence'), 901, 'TWD', 'New Taiwan Dollar', 'Taiwan, Province of China');
insert into currency values (nextval('currency_id_sequence'), 834, 'TZS', 'Tanzanian Shilling', 'Tanzania, United Republic of');
insert into currency values (nextval('currency_id_sequence'), 800, 'UGS', 'Uganda Shilling', 'Uganda');
insert into currency values (nextval('currency_id_sequence'), 840, 'USD', 'US Dollar', 'American Samoa, British Virgin Islands, Canton and Enderbury Islands, Guam, Haiti, Johnston Island, Midway Islands, Pacific Islands (trush territory), Panama, Puerto Rico, Turks and Caicos Islands, United States, U.S. Miscellaneous Pacific Islands, U.S. Virgin Islands, Wake Island');
insert into currency values (nextval('currency_id_sequence'), 858, 'UYP', 'Uruguayan Peso', 'Uruguay');
insert into currency values (nextval('currency_id_sequence'), 704, 'VND', 'Dong', 'Viet Nam');
insert into currency values (nextval('currency_id_sequence'), 862, 'VEB', 'Bolivar', 'Venezuela');
insert into currency values (nextval('currency_id_sequence'), 548, 'VUV', 'Vatu', 'Vanuatu');
insert into currency values (nextval('currency_id_sequence'), 882, 'WST', 'Tala', 'Samoa');
insert into currency values (nextval('currency_id_sequence'), 950, 'XAF', 'CFA Franc BEAC', 'Cameroon, United Republic of, Central African Republic, Chad, Congo, Gabon');
insert into currency values (nextval('currency_id_sequence'), 959, 'XAU', 'Gold', '');
insert into currency values (nextval('currency_id_sequence'), 951, 'XCD', 'East Caribbean Dollar', 'Antiqua, Dominica, Grenada, Montserrat, St. Kitts-Nevis-Anguilla, Saint Lucia, Saint Vincent and the Grenadines');
insert into currency values (nextval('currency_id_sequence'), 952, 'XOF', 'CFA Franc BCEAO', 'Benin, Ivory Coast, Niger, Senegal, Togo, Upper Volta');
insert into currency values (nextval('currency_id_sequence'), 953, 'XPF', 'CFP Franc', 'French polynesia, New Caledonia, Wallis and Futuna Islands');
insert into currency values (nextval('currency_id_sequence'), 720, 'YDD', 'Yemeni Dinar', 'Yemen, Democratic');
insert into currency values (nextval('currency_id_sequence'), 886, 'YER', 'Yemeni Rial', 'Yemen');
insert into currency values (nextval('currency_id_sequence'), 890, 'YUD', 'New Yugoslavian Dinar', 'Yugoslavia');
insert into currency values (nextval('currency_id_sequence'), 710, 'ZAR', 'Rand', 'Lesotho, Namibia, South Africa');
insert into currency values (nextval('currency_id_sequence'), 894, 'ZMK', 'Kwacha', 'Zambia');
insert into currency values (nextval('currency_id_sequence'), 180, 'ZRZ', 'Zaire', 'Zaire');
insert into currency values (nextval('currency_id_sequence'), 716, 'ZWD', 'Zimbabwe Dollar', 'Zimbabwe');

insert into shop_transaction_status values (nextval('shop_transaction_status_id_sequence'), 'Ordered');
insert into shop_transaction_status values (nextval('shop_transaction_status_id_sequence'), 'Shipped');
