<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2007 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 3 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

/* we have to start from 1 otherwise POST will not pass the 0 values and we end up in a mess */
$order_by_string = array();

function orderby_i18n_data() {
  global $order_by_string;
  global $strings;

  $order_by_string = array ("1"  => array ("rating asc",  
					 $strings['generic']['rating']. " &raquo;"),
                          "2"  => array ("rating desc",
					 $strings['generic']['rating']. " &laquo;"),
                          "3"  => array ("photo.views asc", 
					 $strings['generic']['views']." &raquo;"),
                          "4"  => array ("photo.views desc", 
					 $strings['generic']['views']." &laquo;"),
                          "5"  => array ("photo_version.date_of_creation asc",
					 $strings['generic']['created']." &raquo;"),
                          "6"  => array ("photo_version.date_of_creation desc",
					 $strings['generic']['created']." &laquo;"),
                          "7"  => array ("photo.date_of_exposure asc",
					 $strings['generic']['exposed']." &raquo;"),
                          "8"  => array ("photo.date_of_exposure desc",
					 $strings['generic']['exposed']." &laquo;"),
                          "9"  => array ("photo_version.original_image_name asc",
					 $strings['generic']['orig_file']. " &raquo;"),
                          "10" => array ("photo_version.original_image_name desc", 
					 $strings['generic']['orig_file']." &laquo;"),
                          "11" => array ("photo.caption asc",
					 $strings['generic']['caption']." &raquo;"),
                          "12" => array ("photo.caption desc",
					 $strings['generic']['caption']." &laquo;"),
                          "13" => array ("photo.title asc",
					 $strings['generic']['title']." &raquo;"),
                          "14" => array ("photo.title desc",
					 $strings['generic']['title']." &laquo;"),
			  "15" => array ("photo.identifier asc",
					 $strings['generic']['order_added']." &raquo;"),
			  "16" => array ("photo.identifier desc",
					 $strings['generic']['order_added']." &laquo;"));
}

$generate_i18n_data[] = "orderby_i18n_data";

function display_order_by_combo($order_by) {
  global $order_by_string;

  print "<select name=\"order_by\">\n";
  for ($i = 1; $i <= count($order_by_string); $i++) {
    $string = $order_by_string[$i][1];
    print emit_option($i, $string, $i == $order_by);
  }
  print "</select>\n";
}

function display_order_by_combo_with_button($order_by) {
  global $thm_elem;
  global $order_by_string;

  print "<table>\n<tr>\n<td>\n";
  print $thm_elem['button.order.by'];
  print "</td>\n<td>\n";
  display_order_by_combo($order_by);
  print "</td></tr>";
  print "</table>";
}

?>
