<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2007 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 3 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

$tools_data = array();

function tools_i18n_data() {
  global $strings;
  global $tools_data;
  global $cbir_host;

  $tools_data = array("bulkupdate"      => array("idx" => 1, 'link' => "my.tools.php?selector=1", "alt" => $strings['generic']['bulk_update']),
                    "generator"       => array("idx" => 2, 'link' => "my.tools.php?selector=2", "alt" => $strings['tools']['xml_template_generator']),
		    "converter"       => array("idx" => 3, 'link' => "my.tools.php?selector=3", "alt" => $strings['tools']['xml_converter']));

	if ($cbir_host != "") {
		$tools_data['content_indexer'] = array("idx" => 4, 'link' => "my.tools.php?selector=4", "alt" => $strings['tools']['content_indexer']);
	}
}

$generate_i18n_data[] = "tools_i18n_data";

include_once "common.php";
include_once "search.2.php";

function display_xml_template_generator($database) {
  global $thm_elem;
  global $strings;
  global $po_user;

  print "<form method=\"post\" action=\"xml.generator.php\" enctype=\"multipart/form-data\" accept-charset=\"".$strings['formats']['encoding']."\">\n";

  print "<table class=\"listing\">\n";
  print "<tr class=\"folder_top\">\n";
  print "<td colspan=\"2\">".$strings['tools']['fill_in_image_details']."</td>\n";
  print "</tr>\n";
  print "<tr>".emit_td($strings['tools']['base_file']);
  print "<td>";
  print "<input type=\"text\" name=\"file_name\" class=\"storage\" value=\"\" title=\"".$strings['tools']['base_name']."\"/>";

  print "<select name=\"file_number_digits\" title=\"".$strings['tools']['digits']."\">";
  for ($i=1; $i < 11; $i++) {
    print emit_option($i, $i, FALSE);
  }
  print "</select>";
  print " . <input type=\"text\" name=\"file_format\" value=\"\" class=\"storage\" title=\"".$strings['tools']['file_format']."\" />";

  print "</td>\n</tr>\n";
  print "<tr>".emit_td($strings['tools']['start_num'])."<td>";
  print "<input type=\"text\" name=\"file_number_start\" class=\"storage\" value=\"\" title=\"".$strings['tools']['start_num_text']."\" />";
  print "</td>\n</tr>\n";
  print "<tr>".emit_td($strings['tools']['num_photos'])."<td>";
  print "<input type=\"text\" name=\"frame_number\" value=\"\" class=\"storage\" title=\"".$strings['tools']['num_photos_text']."\"  />";
  print "</td>\n</tr>\n";
  print "<tr><td>Folder</td><td>";
  display_folder_combo("folder", get_users_folder($database), "", "");
  print "</td></tr>\n";

  display_iptc_form($database, FALSE, "", "", "", "", "", "", "", "", "",
		    $strings['photo']['copyright']." (c) " . date("Y") . " $po_user[first_name] $po_user[last_name]",
		    "", "", "", "", "", 0, "t", "t", "", "");

  print "<tr><td>".$strings['import']['storage_location']."</td><td>";
  display_storage_location_combo("storage_location_type", "");
  print "<input type=\"text\" name=\"storage_location_id\" class=\"storage\" title=\"".$strings['import']['storage_location_id']."\" /> -
         <input type=\"text\" name=\"storage_index\" class=\"storage\" title=\"".$strings['import']['storage_location_index']."\"/> :
         <input type=\"text\" name=\"storage_size\" class=\"storage\" title=\"".$strings['import']['storage_location_size']."\"/>";
  print "</td></tr>\n";

display_photo_tech_form($database, FALSE, 
			0, 0, 0, 0,
			0, 0, 0, 0,
			0, 0, 0, 0,
			0, 0, 0, 0,
			0, 0, 0, 0,
			"", "", "", "");

  print "</table>\n";
  print $thm_elem['button.submit'];
  print $thm_elem['button.clear'];
  print "</form>\n";
}

function display_bulk_update($database, $url, $type, $selection) {
  global $po_user;
  global $thm_elem;
  global $strings;

  $num_photos = photos_in_spool($database);

  print "<form method=\"post\" action=\"bulk.update.php\" enctype=\"multipart/form-data\" accept-charset=\"".$strings['formats']['encoding']."\">\n";

  print "<table class=\"listing\">\n";
  print "<tr class=\"folder_top\">\n";
  print "<td colspan=\"2\">".$strings['generic']['search_criteria']."</td>\n";
  print "</tr>\n";
  if ($type == "folder") {
    $checked = "checked=\"checked\"";
    $sel = $selection;
  } else {
    $checked = "";
    $sel = "";
  }
  print "<tr>";
  print emit_td($strings['generic']['folder'] . " <input type=\"radio\" name=\"type\" value=\"folder\" checked=\"checked\" />");
  print "<td>";
  display_folder_combo("select_folder", get_users_folder($database), $sel, "all");
  print "<input type=\"checkbox\" name=\"recursive[]\" value=\"folder\" /> ".$strings['generic']['recursive']."</td></tr>\n";
  if ($type == "album") {
    $checked = "checked=\"checked\"";
    $sel = $selection;
  } else {
    $checked = "";
    $sel = "";
  }
  print "<tr>";
  print emit_td($strings['generic']['album'] ." <input type=\"radio\" name=\"type\" value=\"album\"/>");
  print "<td>";
  display_album_combo("select_album", get_users_album($database), $sel, "null");
  print "<input type=\"checkbox\" name=\"recursive[]\" value=\"folder\" /> ".$strings['generic']['recursive']."</td></tr>\n";
  if ($num_photos > 0) {
    if ($type == "spool")
      $checked = "checked=\"checked\"";
    else 
      $checked = "";

    print "<tr>";
    print emit_td("<a href=\"album.php?album=$po_user[spool_album]\">".$strings['spool']['name']."</a> <input type=\"radio\" name=\"type\" value=\"spool\" $checked/>");
    print emit_td($strings['spool']['photos_in'].": $num_photos");;
    print "</tr>\n";
  }
  if ($selection != "" && $type == "list") {
      $checked = "checked=\"checked\"";

    print "<tr><td>".$strings['generic']['selection']." <input type=\"radio\" name=\"type\" value=\"list\" $checked/></td><td>";
    print "<input type=\"hidden\" name=\"selection\" value=\"$selection\" />";
    $array = explode(",", $selection);
    foreach ($array as $item) {
      print "<a href=\"photo.php?photo=$item\"># $item</a> ";
    }
    print "</td></tr>\n";
  }
  print "</table>\n";

  print "<table class=\"listing\">\n";
  print "<tr class=\"folder_top\">\n";
  print "<td colspan=\"2\">".$strings['generic']['action']."</td>\n";
  print "</tr>\n";
  print "<tr>".emit_td($strings['tools']['regenerate_thumb']);
  print emit_td(emit_yes_no_combo("set_generate_images", 'f'));
  print "</tr>\n";

  display_iptc_form($database, TRUE, "", "", "", "", "", "", "", "", "", "",
		    "", "", "", "", "", 0, "", "", "", "");

  display_photo_tech_form($database, TRUE, 
			  0, 0, 0, 0,
			  0, 0, 0, 0,
			  0, 0, 0, 0,
			  0, 0, 0, 0,
			  0, 0, 0, 0,
			  "", "", "", "");
  
  print "</table>\n";
  print $thm_elem['button.submit'];
  print $thm_elem['button.clear'];
  print "</form>\n";
}

function display_content_indexer($database, $url) {
  global $po_user;
  global $strings;
  global $thm_elem;

  $num_photos = photos_in_spool($database);

  print "<form method=\"post\" action=\"content.indexer.php\" enctype=\"multipart/form-data\" accept-charset=\"".$strings['formats']['encoding']."\">\n";

  print "<table class=\"listing\">\n";
  print "<tr class=\"folder_top\">\n";
  print "<td colspan=\"2\">".$strings['generic']['search_criteria']."</td>\n";
  print "</tr>\n";
  print "<tr>";
  print emit_td($strings['generic']['folder'] . "<input type=\"radio\" name=\"selection\" value=\"folder\" checked=\"checked\" />");
  print "<td>";
  display_folder_combo("select_folder", get_users_folder($database), "", "all");
  print "</td></tr>\n";
  print "<tr>";
  print emit_td($strings['generic']['album'] ."<input type=\"radio\" name=\"selection\" value=\"album\"/>");
  print "<td>";
  display_album_combo("select_album", get_users_album($database), "", "null");
  print "</td></tr>\n";
  if ($num_photos > 0) {
    print "<tr>";
    print emit_td("<a href=\"album.php?album=$po_user[spool_album]\">".$strings['generic']['spool']."</a><input type=\"radio\" name=\"type\" value=\"spool\" $checked/>");
    print emit_td($strings['spool']['photos_in'].": $num_photos");;
    print "</tr>\n";
  }
  print "</table>\n";

  display_content_submit("type");

  print $thm_elem['button.submit'];
  print $thm_elem['button.clear'];
  print "</form>\n";
}

?>
