<?php

//  Copyright (C) 2005-2007 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 3 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

/* This file contains fr_FR strings. */
/* First translation from US English to French by Romain Dolbeau <romain.po@dolbeau.name> */
  /* based on revision 995 of en_US.php ... so far */

  /* Formats */

$strings['formats']['name'] = "Français (France)";
$strings['formats']['locale_name'] = "fr_FR.utf8";
$strings['formats']['encoding'] = 'utf-8';
$strings['formats']['lang_xml'] = "fr";
$strings['formats']['direction'] = "ltr";
$strings['formats']['full_date'] = "j F Y H:i";
$strings['formats']['date'] = "j F Y";
$strings['formats']['short_date'] = "j M Y";
$strings['formats']['time'] = "H:i";


 /* Errors */

$strings['errors']['not_owner'] = "Vous n'êtes pas le propriétaire de cette resource"; /* "You are not the owner of this resource."; */
$strings['errors']['private'] = "Ceci est une resource privée"; /* "This is a private resource."; */
$strings['errors']['protected'] = "Ceci est une resource protégée, et vous n'êtes pas un client enregistré ou vous ne disposez pas du mot de passe requit"; /* "This is a protected resource, and you are not a registered client or do not have the required password."; */
$strings['errors']['insuff_perm'] = "Vous n'avez pas les autorisations requises pour continuer"; /* "You do not have sufficient permissions to proceed."; */
$strings['errors']['admin_perm'] = "Vous avez besoin des droits d'administrateur pour accèder à cette resource"; /* "You need admin rights to access this resource."; */
$strings['errors']['registration_disabled'] = "L'enregistrement est désactivé"; /* "Registration is disabled."; */
$strings['errors']['no_user'] = "Un utilisateur doit être spécifié"; /* "A user argument is required."; */
$strings['errors']['not_client'] = "Vous n'êtes pas un client enregistré chez cet utilisateur"; /* "You are not a registered client of this user."; */
$strings['errors']['invalid_login'] = "Mauvaises informations de connection, réessayez"; /* "Invalid login, try again."; */
$strings['errors']['invalid_email'] = "Aucun utilisateur connu avec l'e-mail spécifié"; /* "No user found with the specified email address."; */
$strings['errors']['disabled_account'] = "Votre compte a été désactivé"; /* "Your account has been disabled."; */
/* ADMIN stuff, not translated */
$strings['errors']['install_enabled'] = "You have the installer script enabled.  Please set \$install_enabled=0 in your config_site.php to disable the installer.  Continuing with it enabled is a najor security risk!";
$strings['errors']['default_admin'] = "You are using the default admin account and have not changed its default password.  This is a major security risk!";

 /* Login page strings */

$strings['login']['email_prompt'] = "Veuillez entrer l'adresse e-mail que vous avez utilisé quand vous vous êtes inscrit sur ce système. Si nous trouvons votre adresse dans la base de donnée, nous vous enverrons un message contenant vos informations de connection"; /* "Please enter the email address you used when registering on this system.   If we find the address in our database, we will send you a message containing your login information."; */
$strings['login']['logout_prompt'] = "Si vous souhaitez vous déconnecter, cliquez sur le bouton ci-dessous. Cela fermera votre session actuelle et supprimera tous les cookies. Vous devrez alors vous reconnecter pour continuer."; /* "If you wish to log out, press the button below.  It will remove your current session and all cookies.  You will need to log in again if you proceed."; */
$strings['login']['login_prompt'] = "Entrez vos informations de connection pour avoir accès au site."; /* "Log in to gain full access."; */

$strings['login']['email_sent'] = "Vos informations de connection ont été envoyé à"; /* "Your login information has been sent to"; */
$strings['login']['logged_in_as'] = "Vous êtes connecté comme "; /* "You are logged in as "; */
$strings['login']['email_prep'] = "Votre requête est en cours de traitement."; /* "Preparing your login information request."; */
$strings['login']['auto_login'] = "Me connecter automatiquement dans le futur."; /* "Log me in automatically in the future"; */
 
$strings['login']['admin_account'] = "Votre compte est un compte administrateur."; /* "Your account is an administrator account"; */
$strings['login']['user_account'] = "Votre compte est un compte utilisateur."; /* "Your account is a user account."; */
$strings['login']['client_account'] = "Votre compte est un compte client."; /* "Your account is a client account."; */
$strings['login']['disabled_account'] = "Votre compte est désactivé."; /* "Your account is disabled."; */

$strings['login']['user_register'] = "Si vous voulez ouvrir un compte, enregistrez vous ici :"; /* "If you would like an account, register here:"; */
$strings['login']['forgot_password'] = "Si vous avez oublié votre nom d'utilisateur ou votre mot de passe, cliquez"; /* "If have forgotten your username or password, click"; */

 /* User page */
$strings['users']['select'] = "Selectionnez un utilisateur"; /* "Select a user"; */
$strings['users']['my_folders'] = "Mes dossiers et albums"; /* "My Folders and Albums"; */
$strings['users']['display'] = "Afficher l'utilisateur"; /* "Display User"; */
$strings['users']['registered_customer'] = "est l'un de vos clients enregistrés"; /* "is one of your registered customers."; */
$strings['users']['register_prompt'] = "Si vous aimez ces photos, vous pouvez vous enregistrer et voir les photos protégées de"; /* "If you like these photos you can register and see the protected photos of"; */
$strings['users']['subscribe_prompt'] = "Abonnez-vous et devenez un client de cet utilisateur."; /* "Subscribe and become a client of this user."; */

 /* Searching */
$strings['search']['search_string_prompt'] = "Entrez la chaine de caractères que vous souhaitez rechercher"; /* "Enter the string you wish to search for"; */

 /* Admin stuff */
/* ADMIN stuff, not translated */
$strings['admin']['image_repository'] = 'Image Repository';
$strings['admin']['new_user_prefs'] = 'New User Preferences';
$strings['admin']['users_clients'] = 'Users and Clients';
$strings['admin']['front_page'] = 'Front Page';

 /* Label stuff */
$strings['label']['margin'] = "Marge"; /* 'Margin'; */
$strings['label']['width'] = "Largeur"; /* 'Width'; */
$strings['label']['space'] = "Espace"; /* 'Space'; */
$strings['label']['height'] = "Hauteur"; /* 'Height'; */
$strings['label']['rows'] = "Lignes"; /* 'Rows'; */
$strings['label']['columns'] = "Colonnes"; /* 'Columns'; */

 /* Photo info stuff */
$strings['photo']['geo-location'] = "Localisation geographique"; /* 'geolocation'; */
$strings['photo']['latitude'] = 'latitude';
$strings['photo']['longitude'] = 'longitude';
$strings['photo']['altitude'] = 'altitude';
$strings['photo']['direction'] = 'direction';
$strings['photo']['no_title'] = "Pas de titre"; /* 'No Title'; */

/* User stuff */
$strings['user']['first_name'] = "Prénom"; /* 'first name'; */
$strings['user']['last_name'] = "Nom de famille"; /* 'last name'; */
$strings['user']['company'] = "Compagnie"; /* 'company'; */
$strings['user']['address'] = "Adresse"; /* 'address'; */
$strings['user']['city'] = "Ville"; /* 'city'; */
$strings['user']['post_code'] = "Code postal"; /* 'ZIP code'; */
$strings['user']['state'] = "État (U.S.)"; /* 'state'; */
$strings['user']['country'] = "Pays"; /* 'country'; */
$strings['user']['email'] = "e-mail / mèl"; /* 'e-mail'; */
$strings['user']['web'] = "Site web"; /* 'website'; */
$strings['user']['phone'] = "Téléphone"; /* 'phone'; */

 /* Searches */

$strings['search']['gen_text'] = "Texte"; /* 'General Text'; */
$strings['search']['adv_text'] = "Texte (avancé)"; /* 'Advanced Text'; */
$strings['search']['img_layout'] = "Disposition des images"; /* 'Image Layout'; */
$strings['search']['img_color'] = "Couleurs des images"; /* 'Image Color'; */

 /* Actions */
$strings['generic']['go_to_f'] = "Aller au dossier"; /* 'Go to Folder'; */
$strings['generic']['go_to_a'] = "Aller à l'album"; /* 'Go to Album'; */
$strings['generic']['link_to_a'] = "Faire un lien vers un album"; /* 'Link to Album'; */
$strings['generic']['move_to_f'] = "Déplacer vers un dossier"; /* 'Move to Folder'; */
$strings['generic']['move_to_a'] = "Déplacer vers un album"; /* 'Move to Album'; */
$strings['generic']['bulk_update'] = "Mise-à-jour en masse"; /* 'Bulk Update'; */

/* Spooler */
$strings['spool']['name'] = "Réserve"; /* 'Spool'; */
$strings['spool']['photos_in'] = "Photos dans la réserve"; /* 'Photos in Spool'; */
$strings['spool']['view'] = "Voir la réserve"; /* 'View Spool'; */
$strings['spool']['empty'] = "Réserve vide"; /* 'Empty Spool'; */

 /* Generic stuff */

$strings['generic']['username'] = "Nom d'utilisateur"; /* "Username"; */
$strings['generic']['password'] = "Mot de passe"; /* "Password"; */
$strings['generic']['return'] = "Retour"; /* "Return"; */
$strings['generic']['submit'] = "Envoyez une requête"; /* "Submit Request"; */
$strings['generic']['here'] = "ici"; /* "here"; */
$strings['generic']['login'] = "Se connecter"; /* 'Log in'; */
$strings['generic']['logout'] = "Se déconnecter"; /* 'Log out'; */
$strings['generic']['register'] = "S'enregistrer"; /* 'Register'; */
$strings['generic']['users'] = "Utilisateurs"; /* 'Users'; */
$strings['generic']['subscribe'] = "S'inscrire"; /* 'Subscribe'; */
$strings['generic']['search'] = "Rechercher"; /* 'Search'; */
$strings['generic']['help'] = "Aide"; /* 'Help'; */
$strings['generic']['save_changes'] = "Sauvegarder les modifications"; /* 'Save Changes'; */

$strings['generic']['my_folders'] = "Mes dossiers"; /* 'My Folders'; */
$strings['generic']['my_albums'] = "Mes albums"; /* 'My Albums'; */
$strings['generic']['my_datebook'] = "Mon agenda"; /* 'My Datebook'; */
$strings['generic']['my_profile'] = "Mon profile"; /* 'My Profile'; */
$strings['generic']['my_settings'] = "Mes réglages"; /* 'My Settings'; */
$strings['generic']['my_tools'] = "Mes outils"; /* 'My Tools'; */
$strings['generic']['my_basket'] = "Mon panier"; /* 'My Basket'; */
$strings['generic']['admin'] = 'Administration';

/* ADMIN stuff, not translated */
$strings['generic']['volume'] = 'volume';
$strings['generic']['current'] = 'current';
$strings['generic']['max_size'] = 'max size';
$strings['generic']['size'] = 'size';
$strings['generic']['files'] = 'files';
$strings['generic']['subdirs'] = 'subdirectories';
$strings['generic']['last_mod'] = 'last modified';

$strings['generic']['edit'] = "Éditer"; /* 'Edit'; */
$strings['generic']['delete'] = "Effacer"; /* 'Delete'; */
$strings['generic']['no'] = "Non"; /* 'No'; */
$strings['generic']['yes'] = "Oui"; /* 'Yes'; */

$strings['generic']['and'] = "et"; /* 'and'; */
$strings['generic']['with'] = "avec"; /* 'with'; */
$strings['generic']['add_versions'] = "Versions supplémentaires"; /* 'additional versions'; */
$strings['generic']['members_storing'] ='members storing';

$strings['generic']['public'] = "Public"; /* 'Public'; */
$strings['generic']['private'] = "Privé"; /* 'Private'; */
$strings['generic']['protected'] = "Protégé"; /* 'Protected'; */

$strings['generic']['skip'] = "Passer"; /* 'Skip'; */
$strings['generic']['first'] = "Premier"; /* 'First'; */
$strings['generic']['second'] = "Second"; /* 'Second'; */
$strings['generic']['third'] = "Troisième"; /* 'Third'; */
$strings['generic']['next'] = "Prochain"; /* 'Next'; */
$strings['generic']['previous'] = "Précédent"; /* 'Previous'; */
$strings['generic']['last'] = "Dernier"; /* 'Last'; */

$strings['generic']['tray'] = "Tiroir"; /* 'Tray'; */
$strings['generic']['cdr'] = "CD-R"; /* 'CD-R'; */
$strings['generic']['album'] = "Album"; /* 'Album'; */

$strings['generic']['albums'] = "Albums"; /* 'albums'; */
$strings['generic']['album_name'] = "Nom de l'album"; /* 'album name'; */
$strings['generic']['all_albums'] = "Tous les albums"; /* 'all albums'; */

$strings['generic']['add_album'] = "Ajouter un album"; /* 'add album'; */
$strings['generic']['add_folder'] = "Ajouter un dossier"; /* 'add folder'; */

$strings['generic']['all_folders'] = /* 'All Folders'; */

$strings['generic']['created'] = "Créé"; /* 'created'; */
$strings['generic']['user'] = "Utilisateur"; /* 'user'; */

$strings['generic']['none'] = "aucun"; /* 'None'; */
$strings['generic']['name'] = "nom"; /* 'name'; */
$strings['generic']['photos'] = "photos"; /* 'photos'; */
$strings['generic']['albums'] = "albums"; /* 'albums'; */
$strings['generic']['folder'] = "dossier"; /* 'folder'; */
$strings['generic']['folders'] = "dossiers"; /* 'folders'; */+
$strings['generic']['folder_name'] = "Nom du dossier"; /* 'folder name'; */

$strings['generic']['subfolders'] = "sous-dossiers"; /* 'subfolders'; */
$strings['generic']['subalbums'] = "sous-albums"; /* 'subalbums'; */
$strings['generic']['equipment'] = "équipement"; /* 'equipment'; */
$strings['generic']['space'] = "espace"; /* 'space'; */
$strings['generic']['type'] = "yype"; /* 'type'; */
$strings['generic']['bulk_upload'] = "upload en masse"; /* 'bulk upload'; */
$strings['generic']['shop'] = "achat"; /* 'shop'; */
$strings['generic']['quota_count'] = "quota (nombre)"; /* 'quota count'; */
$strings['generic']['quota_size'] = "quota (taille)"; /* 'quota size'; */
$strings['generic']['member_since'] = "membre depuis"; /* 'member since'; */
$strings['generic']['default_paper'] = "papier par défaut"; /* 'default paper'; */
$strings['generic']['default_label'] = "étiquette par défaut"; /* 'default label'; */

$strings['generic']['per_page'] = "Par page"; /* 'Per page'; */
$strings['generic']['display_all'] = "Tout afficher"; /* 'Display All'; */

$strings['generic']['embedded'] = "Inclus"; /* 'Embedded'; */
$strings['generic']['unlimited'] = "Illimité"; /* 'Unlimited'; */

$strings['generic']['enabled'] = "Actif"; /* 'Enabled'; */
$strings['generic']['disabled'] = "Inactif"; /* 'Disabled'; */

$strings['generic']['unknown'] = "Inconnu"; /* 'Unknown'; */
$strings['generic']['trash'] = "Poubelle"; /* 'Trash'; */

$strings['generic']['orphanage'] = "Orphelinat"; /* 'Orphanage'; */

$strings['generic']['empty_trash'] = "Vider la poubelle"; /* 'Empty Trash'; */

$strings['generic']['print'] = "Imprimer"; /* 'Print'; */
$strings['generic']['label'] = "Étiquette"; /* 'Label'; */
$strings['generic']['brochure'] = "Brochure"; /* 'Brochure'; */
$strings['generic']['empty'] = "Vide"; /* 'Empty'; */
$strings['generic']['plain'] = 'Plain';

$strings['generic']['export'] = "Exporter"; /* 'Export'; */
$strings['generic']['photos_only'] = "Photos uniquement"; /* 'Photos Only'; */
$strings['generic']['photos_xml'] = "Photos avec XML"; /* 'Photos with XML'; */

$strings['generic']['rotate'] = "Tourner"; /* 'Rotate'; */
$strings['generic']['rot_90'] = "Tourner à gauche"; /* 'Rotate Right'; */
$strings['generic']['rot_270'] = "Tourner à droite"; /* 'Rotate Left'; */
$strings['generic']['rot_180'] = "Retourner"; /* 'Rotate Upside-down'; */
$strings['generic']['flip'] = "Miroir vertical"; /* 'Flip Vertically'; */
$strings['generic']['flop'] = "Miroir horizontal"; /* 'Flip Horizontally'; */

$strings['generic']['msec'] = "msec"; /* 'msec'; */

$strings['generic']['day'] = "jour"; /* 'day'; */
$strings['generic']['days'] = "jours"; /* 'days'; */
$strings['generic']['week'] = "semaine"; /* 'week'; */
$strings['generic']['weeks'] = "semaines"; /* 'weeks'; */
$strings['generic']['month'] = "mois"; /* 'month'; */
$strings['generic']['months'] = "mois"; /* 'months'; */
$strings['generic']['year'] = "année"; /* 'year'; */
$strings['generic']['years'] = "années"; /* 'years'; */

$strings['generic']['access_auth_users'] = "Accessible aux utilisateurs autorisés."; /* 'Accessible for authorized users'; */
$strings['generic']['access_owner_only'] = "Accessible au propriétaire uniquement."; /* 'Accessible for owner only'; */

$strings['generic']['title'] = "Titre"; /* 'Title'; */
$strings['generic']['author'] = "Auteur"; /* 'Author'; */
$strings['generic']['caption'] = "Légende"; /* 'Caption'; */
$strings['generic']['location'] = "Localisation"; /* 'Location'; */
$strings['generic']['keywords'] = "Mots clef"; /* 'Keywords'; */
$strings['generic']['exposed'] = "Exposée"; /* 'Exposed'; */
$strings['generic']['created'] = "Crée"; /* 'Created'; */
$strings['generic']['access'] = "Accès"; /* 'Access'; */
$strings['generic']['rating'] = "Évaluation"; /* 'Rating'; */
$strings['generic']['views'] = "Vues"; /* 'Views'; */

$strings['generic']['po_powered_by'] = 'Powered by <a href="http://po.shaftnet.org/">Photo Organizer</a>';
$strings['generic']['po_copyright'] = 'Copyright &copy; 2002-2006 <a href="http://www.k-i-s.net">Balint Kis</a>, &copy; 2005-2007 <a href="http://www.shaftnet.org/users/pizza">Solomon Peachy</a>, and is available under the terms of the <a href="copyright.php">GNU GPL</a>'


?>
