<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2007 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 3 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/config.php";
include_once "include/site.php";
include_once "include/tools.php";
include_once "include/common.php";

$database = site_prolog(PO_USER_TYPE_USER);

$selector = (isset($_REQUEST['selector']) ? $_REQUEST['selector'] : 1);

site_header($strings['generic']['my_tools']);
site_navigator(10);
site_navigator_status(emit_a("user.php", $strings['generic']['users'])." : ".$strings['generic']['my_tools'], emit_a($bug_url, $strings['errors']['report_bug']));

display_navigator_box_top($selector, $tools_data, "100%");

switch ($selector) {
 case $tools_data['bulkupdate']['idx']:
   $selector_id = $tools_data['bulkupdate']['idx'];
   display_bulk_update($database, "my.tools.php?selector=$selector_id", $_REQUEST['type'], $_REQUEST['selection']);
   break;
 case $tools_data['generator']['idx']:
   display_xml_template_generator($database);
   break;
 case $tools_data['converter']['idx']:
   print "<form method=\"post\" action=\"xml.converter.php\" enctype=\"multipart/form-data\">\n";
   print "<table class=\"listing\">\n";
   print "<tr><td>".$strings['tools']['source_file']."</td>\n";
   print "<td width=\"75%\">";
   print "<input type=\"file\" name=\"source_file[]\" size=\"40\" title=\"Supported source file formats: NKN, SDF, TXT\" />";
   print "</td></tr>";
   print "</table>\n";

   print $thm_elem['button.submit'];
   print "</form>\n";
   break;
 case $tools_data['content_indexer']['idx']:
   $selector_id = $tools_data['content_indexer']['idx'];
   display_content_indexer($database, "my.tools.php?selector=$selector_id");
   break;
}

display_navigator_box_bottom("100%");

site_footer($database);
site_epilog($database);
?>
