<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2007 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 3 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA


include_once "include/config.php";
;
include_once "include/common.php";
include_once "include/site.php";

$database = site_prolog(PO_USER_TYPE_USER);

$photo_id           = pg_escape_string($_REQUEST['photo']);
$version_id         = pg_escape_string($_REQUEST['version']);
$master             = pg_escape_string($_REQUEST['master']);
$comment            = pg_escape_string($_REQUEST['comment']);
$colorspace         = pg_escape_string($_REQUEST['colorspace']);

$photo_data = pg_fetch_row(pg_query($database, "
  select caption, users
    from photo
   where photo.identifier = '$photo_id'"));

/* Enforce ownership */
if (($po_user['type'] != PO_USER_TYPE_ADMIN) &&
    ($po_user['id'] != $photo_data[1])) {
  site_epilog($database);
  site_push_error($strings['errors']['not_owner']);
  header("Location: login.php");
  exit();
}

pg_query($database, "begin");

$result = TRUE;
if ($master == 't') {
  $result = pg_query($database, "update photo_version set master='f' where photo=$photo_id");
}
if ($result) {
  $result = pg_query($database, "update photo_version set master='$master', comment = '$comment' where identifier=$version_id");
}
if ($result) {
  pg_query($database, "commit");
 } else {
  site_push_error($strings['errors']['db_insert_failed']);
  pg_query($database, "rollback");
 }

site_epilog($database);
header("Location: photo.php?photo=$photo_id&ver=$version_id&detail_info=5");
?>
